<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.CheckBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="800.0" prefWidth="1024.0" xmlns="http://javafx.com/javafx/16" xmlns:fx="http://javafx.com/fxml/1">
   <children>
      <AnchorPane prefHeight="90.0" prefWidth="1024.0" style="-fx-background-color: blue;">
         <children>
            <Label layoutX="45.0" layoutY="27.0" text="Rezerviši.ba" textFill="WHITE">
               <font>
                  <Font name="Times New Roman Bold" size="29.0" />
               </font>
            </Label>
            <Button fx:id="mainOdjava" layoutX="922.0" layoutY="23.0" mnemonicParsing="false" prefHeight="26.0" prefWidth="79.0" style="-fx-border-radius: 50;" text="Odjava" textFill="#0004f5">
               <font>
                  <Font name="Times New Roman Bold" size="15.0" />
               </font>
            </Button>
            <Button fx:id="platiButton" layoutX="824.0" layoutY="23.0" mnemonicParsing="false" prefHeight="24.0" prefWidth="82.0" text="Plaćanje" textFill="#0004f5">
               <font>
                  <Font name="Times New Roman Bold" size="15.0" />
               </font>
            </Button>
            <ImageView fitHeight="34.0" fitWidth="36.0" layoutX="786.0" layoutY="22.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../SlikeSoftver/kolica.png" />
               </image>
            </ImageView>
            <ImageView fitHeight="50.0" fitWidth="52.0" layoutX="208.0" layoutY="22.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../SlikeSoftver/bed.png" />
               </image>
            </ImageView>
         </children>
      </AnchorPane>
      <TableView fx:id="mainTabela" layoutY="90.0" prefHeight="388.0" prefWidth="1024.0">
        <columns>
          <TableColumn fx:id="tipJedicineKolona" prefWidth="110.0" text="Tip jedinice" />
          <TableColumn fx:id="nazivKolona" prefWidth="102.0" text="Naziv" />
            <TableColumn fx:id="vlasnikKolona" prefWidth="110.0" text="Vlasnik" />
            <TableColumn fx:id="lokacijaKolona" prefWidth="106.0" text="Lokacija" />
            <TableColumn fx:id="cijenaKolona" prefWidth="72.0" text="Cijena" />
            <TableColumn fx:id="brojkrevetaKolona" prefWidth="82.0" text="Broj kreveta" />
            <TableColumn fx:id="opisKolona" prefWidth="441.0" text="Opis" />
        </columns>
      </TableView>
      <AnchorPane layoutY="478.0" prefHeight="33.0" prefWidth="1024.0" style="-fx-background-color: gray;">
         <children>
            <Button layoutX="258.0" layoutY="4.0" mnemonicParsing="false" text="&lt;" />
            <Button layoutX="695.0" layoutY="4.0" mnemonicParsing="false" text="&gt;" />
            <Label layoutX="294.0" layoutY="8.0" text="Previous page" />
            <Label layoutX="632.0" layoutY="8.0" text="Next page" />
         </children>
      </AnchorPane>
      <AnchorPane layoutY="509.0" prefHeight="291.0" prefWidth="1024.0">
         <children>
            <Label layoutX="387.0" layoutY="24.0" text="Pretrazivanje">
               <font>
                  <Font name="Times New Roman Bold" size="29.0" />
               </font>
            </Label>
            <ImageView fitHeight="50.0" fitWidth="52.0" layoutX="557.0" layoutY="28.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../ss.png" />
               </image>
            </ImageView>
            <Label layoutX="30.0" layoutY="83.0" text="Lokacija">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <TextField fx:id="locationSearch" layoutX="128.0" layoutY="84.0" prefHeight="25.0" prefWidth="187.0" promptText="Unesite lokaciju" />
            <Label layoutX="30.0" layoutY="132.0" text="Naziv">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <TextField fx:id="nameSearch" layoutX="128.0" layoutY="133.0" prefHeight="25.0" prefWidth="187.0" promptText="Unesite naziv" />
            <Label layoutX="30.0" layoutY="180.0" text="Kapacitet">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <TextField fx:id="capacitySearch" layoutX="128.0" layoutY="181.0" prefHeight="25.0" prefWidth="187.0" promptText="Unesite kapacitet" />
            <Label layoutX="28.0" layoutY="231.0" text="Cijena">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <TextField fx:id="priceFrom" layoutX="128.0" layoutY="232.0" prefHeight="25.0" prefWidth="55.0" promptText="od" />
            <Label layoutX="190.0" layoutY="231.0" text="-">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <TextField fx:id="priceTo" layoutX="205.0" layoutY="232.0" prefHeight="25.0" prefWidth="55.0" promptText="do" />
            <CheckBox fx:id="checkWiFi" layoutX="530.0" layoutY="88.0" mnemonicParsing="false" />
            <CheckBox fx:id="checkParking" layoutX="530.0" layoutY="137.0" mnemonicParsing="false" />
            <Label layoutX="453.0" layoutY="83.0" text="WiFi">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <Label layoutX="446.0" layoutY="132.0" text="Parking">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <Label layoutX="448.0" layoutY="180.0" text="Klima">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <CheckBox fx:id="checkAirCondition" layoutX="530.0" layoutY="185.0" mnemonicParsing="false" />
            <Label layoutX="447.0" layoutY="231.0" text="Bazen">
               <font>
                  <Font name="System Bold" size="18.0" />
               </font>
            </Label>
            <CheckBox fx:id="checkPool" layoutX="530.0" layoutY="236.0" mnemonicParsing="false" />
            <Button fx:id="searchButton" alignment="CENTER_RIGHT" layoutX="814.0" layoutY="132.0" mnemonicParsing="false" prefHeight="54.0" prefWidth="124.0" text="Traži" textAlignment="CENTER">
               <font>
                  <Font size="18.0" />
               </font>
            </Button>
            <ImageView fitHeight="24.0" fitWidth="25.0" layoutX="826.0" layoutY="150.0" pickOnBounds="true" preserveRatio="true" />
            <ImageView fitHeight="29.0" fitWidth="49.0" layoutX="827.0" layoutY="148.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../ssd.png" />
               </image>
            </ImageView>
         </children>
      </AnchorPane>
   </children>
</AnchorPane>
